# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2023/6/14
import os
import sys
sys.path.append(os.getcwd())
from common.common import Common
from douyin.douyin_author.douyin_author_scheduling_new import DouyinauthorScheduling


def douyin_author_main(log_type, crawler, env):
    Common.logger(log_type, crawler).info("开始抓取:抖音账号\n")
    Common.logging(log_type, crawler, env, "开始抓取:抖音账号\n")
    DouyinauthorScheduling.get_author_videos(log_type=log_type,
                                             crawler=crawler,
                                             rule_dict={"like_cnt":{"min":30000,"max":0},"duration":{"min":50,"max":1800},"period":{"min":15,"max":15}},
                                             user_list=[{"uid": 6267140, "source": "douyin", "link": "MS4wLjABAAAApCwcn6-2-_to5Qld7jAT78-Ano5_9JzXbT5ylfNJntY", "nick_name": "大白爆笑社", "avatar_url": "http://rescdn.yishihui.com/user/default/avatar/live/1616555584754_u=3828798179,534417403&fm=26&gp=0.jpg", "mode": "author"}],
                                             env=env)
    Common.del_logs(log_type, crawler)
    Common.logger(log_type, crawler).info("抓取一轮结束\n")
    Common.logging(log_type, crawler, env, "抓取一轮结束\n")


if __name__ == "__main__":
    douyin_author_main("author", "douyin", "dev")